# Copyright (C) 2018 Avatao.com Innovative Learning Kft.
# All Rights Reserved. See LICENSE file for details.

from .fsm_base import FSMBase


class LinearFSM(FSMBase):
    def __init__(self, number_of_steps):
        self.states = list(map(str, range(number_of_steps)))
        self.transitions = [{'trigger': 'step_{}'.format(int(index)+1), 'source': index, 'dest': str(int(index)+1)}
                            for index in self.states[:-1]]
        super(LinearFSM, self).__init__()
